Deletar mensagem
curl --request DELETE \
--url https://api.d-api.cloud/api/v1/chats/messages/{messageId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"to": "<string>",
"forEveryone": true,
"sender": "<string>",
"async": "<string>"
}
'import requests
url = "https://api.d-api.cloud/api/v1/chats/messages/{messageId}"
payload = {
"sessionId": "<string>",
"to": "<string>",
"forEveryone": True,
"sender": "<string>",
"async": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
to: '<string>',
forEveryone: true,
sender: '<string>',
async: '<string>'
})
};
fetch('https://api.d-api.cloud/api/v1/chats/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Chat
Deletar mensagem
Deleta uma mensagem específica via PodWorker. Para deletar mensagens de outros usuários (como admin), passe o JID do remetente no campo ‘sender’.
DELETE
/
api
/
v1
/
chats
/
messages
/
{messageId}
Deletar mensagem
Authorizations
API Key para autenticação. Formato: <API_KEY>
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
200
Resposta bem-sucedida
⌘I
